# EDA-Analysis App

## Intended use and advice on use
The free and easy to use EDA-Analysis App helps investigators to quantify electrodermal activity (EDA), more specifically the amplitude of skin conductance responses (SCRs), a common measure, e.g. in fear conditioning research (Lonsdorf et al., 2017). It has been used and further developed since ten years going along with several publications (e.g. Jentsch et al., 2020; Meir Drexler et al., 2015; Merz et al., 2014; Merz et al., 2016; Pan et al., 2021). The authors intend to make its code and functionality public to further foster scientific transparency and rigor. 
The EDA-Analysis App is implemented in MATLAB with a GUI and computes EDA results from raw data acquired with Biopac or Brain Vision systems. Every study-specific step documented should be checked for each individual study if it is equally applicable or not. In general, the whole recorded raw EDA signal is cut to smaller bins according to onsets of relevant stimuli (as given in a trial definition file). In the GUI, you can load the EDA raw data and trial definitions and change specific settings according to the individual research question.
An overview of the most important options for analyzing SCRs:
- Trial-by-trial analysis with the possibility to optimize the analysis methods for each trial
- Optical representation of the evaluated data
- Transparent display of the effects of filters
- Two different methods for calculating EDA
- Detailed configuration of each calculation method
- Export of the evaluated data to Excel and MATLAB
- Export of data to Brain Imaging Data Structure (BIDS) format
- Export of analyzed data, raw data and all settings in one file for more transparency


[For further details, please have a look at the detailed documentation including an exemplary dataset with raw and analyzed data of a fear conditioning study.](https://gitlab.ruhr-uni-bochum.de/ikn/eda-analysis/-/blob/master/Documentation/EDA-Analysis%20Documentation.pdf)

<br>

![EDA-Tool](./Ressources/Screenshot_EDA-App_small.png)


## About this project and Funding
The development of the EDA-Analysis App was carried out as part of the SFB 1280 INF project (TO), supported by the Deutsche Forschungsgemeinschaft DFG (German Research Foundation, project number (316803389); OTW and CJM received further support by the SFB 1280 A09 project). 

## License and Reference
This work is licensed under a Creative Commons Attribution-ShareAlike 4.0 International License.
https://creativecommons.org/licenses/by-sa/4.0/


